<div align="center">
  <picture>
    <source media="(prefers-color-scheme: dark)" srcset="https://www.jac-lang.org//assets/logo.png">
    <source media="(prefers-color-scheme: light)" srcset="https://www.jac-lang.org//assets/logo.png">
    <img alt="Jaclang Programming Language: Unique and Powerful programming language that runs on top of Python"
         src="https://www.jac-lang.org//assets/logo.png"
         width="20%">
  </picture>

[Website][Jaclang] | [Getting started] | [Learn] | [Documentation] | [Contributing]

  [![PyPI version](https://img.shields.io/pypi/v/jaclang.svg)](https://pypi.org/project/jaclang/) [![Tests](https://github.com/chandralegend/jaclang/actions/workflows/run_pytest.yml/badge.svg?branch=main)](https://github.com/chandralegend/jaclang/actions/workflows/run_pytest.yml) [![codecov](https://codecov.io/github/chandralegend/jaclang/graph/badge.svg?token=OAX26B0FE4)](https://codecov.io/github/chandralegend/jaclang)
</div>

This is the main source code repository for [Jaclang]. It contains the compiler,
standard library, and documentation.



[Jaclang]: https://www.jac-lang.org/
[Getting Started]: https://www.jac-lang.org//start/
[Learn]: https://www.jac-lang.org//learn
[Documentation]: https://www.jac-lang.org//learn/guide/
[Contributing]: .github/CONTRIBUTING.md

## Why Jaclang?

- **Easy:** Jaclang is designed to be easy to learn and use, while also being powerful.

- **Reliability:** Our rich type system and runtime checks ensure your code is correct.

- **AI Ready:** Jaclang provide easy to use Abstractions specially designed for LLMs.

- **Data Spatial Programming:** Jaclang provides easy to use Abstractions for Data Spatial Programming.

- **Support:** Jaclang compiles to Python, which is widely used and has a large ecosystem. Making it easy to integrate with existing code.

- **Dev Friendly:** Highly Refactorable, Jaclang is designed to be easy to refactor and maintain. VSCode Editor support through [jac-analyzer].

- **Cloud-native:** Jaclang is designed to be cloud-native, making it easy to deploy and scale.



[jac-analyzer]: https://github.com/Jaseci-Labs/jac-analyzer

## Quick Start

To install Jaclang, run:

```bash
pip install jaclang
```
Run `jac` in the terminal to see whether it is installed correctly.

Read ["Getting Started"] from [Docs] for more information.

["Getting Started"]:https://www.jac-lang.org//start/
[Docs]: https://www.jac-lang.org//learn/guide/

## Installing from Source

If you really want to install from source (though this is not recommended), see
[INSTALL.md](support/INSTALL.md).

## Getting Help

See https://www.jaclang-lang.org/community for a list of chat platforms and forums.

## Contributing

See [CONTRIBUTING.md](.github/CONTRIBUTING.md).

## License

Jaclang is primarily distributed under the terms of both the MIT license and the
Apache License (Version 2.0), with portions covered by various BSD-like
licenses.

See [LICENSE-MIT](.guthub/LICENSE), and
[COPYRIGHT](COPYRIGHT) for details.

## Trademark

[Jaseci][jaseci] owns and protects the Jaclang trademarks and logos (the "Jaclang Trademarks").

If you want to use these names or brands, please read the [media guide][media-guide].

Third-party logos may be subject to third-party copyrights and trademarks. See [Licenses][policies-licenses] for details.

[jaseci]: https://jaseci.org/
[media-guide]: https://jaseci.org/policies/logo-policy-and-media-guide/
[policies-licenses]: https://www.jaseci.org/policies/licenses